Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# PortableServer::Current_var Class Reference

`#include <PortableServerC.h>`

Inheritance diagram for PortableServer::Current_var:

[legend]
Collaboration diagram for PortableServer::Current_var:

[legend]
List of all members.

## Public Methods
| Current_var (void)
| Current_var (Current_ptr p)
| Current_var (const Current_var &)
| ~Current_var (void)
Current_var & | operator= (Current_ptr)
Current_var & | operator= (const Current_var &)
Current_ptr | operator-> (void) const
| operator const Current_ptr & () const
| operator Current_ptr & ()
Current_ptr | in (void) const
Current_ptr & | inout (void)
Current_ptr & | out (void)
Current_ptr | _retn (void)
Current_ptr | ptr (void) const
## Static Public Methods
Current_ptr | tao_duplicate (Current_ptr)
void | tao_release (Current_ptr)
Current_ptr | tao_nil (void)
Current_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| Current_var (const TAO_Base_var &rhs)
Current_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
Current_ptr | ptr_

## Constructor & Destructor Documentation

PortableServer::Current_var::Current_var | ( | void |  | ) |

PortableServer::Current_var::Current_var | ( | Current_ptr | p | ) | `[inline]`

PortableServer::Current_var::Current_var | ( | const Current_var & |  | ) |

PortableServer::Current_var::~Current_var | ( | void |  | ) |

PortableServer::Current_var::Current_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

Current_ptr PortableServer::Current_var::_retn | ( | void |  | ) |

Current_ptr PortableServer::Current_var::in | ( | void |  | ) | const

Current_ptr& PortableServer::Current_var::inout | ( | void |  | ) |

PortableServer::Current_var::operator const Current_ptr & | ( |  | ) | const

PortableServer::Current_var::operator Current_ptr & | ( |  | ) |

Current_ptr PortableServer::Current_var::operator-> | ( | void |  | ) | const

Current_var& PortableServer::Current_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

Current_var& PortableServer::Current_var::operator= | ( | const Current_var & |  | ) |

PortableServer::Current_var & PortableServer::Current_var::operator= | ( | Current_ptr | p | ) |

Current_ptr& PortableServer::Current_var::out | ( | void |  | ) |

PortableServer::Current_ptr PortableServer::Current_var::ptr | ( | void |  | ) | const

Current_ptr PortableServer::Current_var::tao_duplicate | ( | Current_ptr |  | ) | `[static]`

Current_ptr PortableServer::Current_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

Current_ptr PortableServer::Current_var::tao_nil | ( | void |  | ) | `[static]`

void PortableServer::Current_var::tao_release | ( | Current_ptr |  | ) | `[static]`

CORBA::Object* PortableServer::Current_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

Current_ptr PortableServer::Current_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- PortableServerC.h
- PortableServerC.cpp